package com.emr.dao.recordType;

import com.emr.entity.recordType.Emr_Type_Related;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_Type_RelatedMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Type_Related record);

    int insertSelective(Emr_Type_Related record);

    Emr_Type_Related selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Type_Related record);

    int updateByPrimaryKey(Emr_Type_Related record);

    /**
     * 根据分类id查分段id集合
     * */
    List<Emr_Type_Related> selectAssortIdsByTypeId(@Param("typeId") Integer typeId);
    /**
     * 根据分类Id删除集合
     * */
    void deleteByTypeId(@Param("typeId")Integer typeId);
    /**
     * 批量添加分配
     * */
    int SimpleInsert(@Param("list")List<Emr_Type_Related> list);
}